org.gcube.dataanalysis.dataminer.poolmanager.service

## Class DataminerPoolManager

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.service.DataminerPoolManager

    public class DataminerPoolManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DataminerPoolManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLogById(String id)`
`String` `getMonitorById(String id)`
`String` `publishAlgorithm(Algorithm algo, String targetVRE, String category, String algorithm_type)`
`String` `stageAlgorithm(Algorithm algo, String targetVRE, String category, String algorithm_type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataminerPoolManager

    public DataminerPoolManager()

### Method Detail

#### stageAlgorithm

    public String stageAlgorithm(Algorithm algo,
                                 String targetVRE,
                                 String category,
                                 String algorithm_type)
                          throws IOException,
                                 InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### publishAlgorithm

    public String publishAlgorithm(Algorithm algo,
                                   String targetVRE,
                                   String category,
                                   String algorithm_type)
                            throws IOException,
                                   InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### getLogById

    public String getLogById(String id)
                      throws FileNotFoundException

Throws:
  `FileNotFoundException`

#### getMonitorById

    public String getMonitorById(String id)
                          throws FileNotFoundException

Throws:
  `FileNotFoundException`